Consultar os detalhes de uma conta escrow

Esse endpoint é responsável por retornar os dados de uma conta escrow, retornando todos os dados que foram recepcionados do envio, como o número da conta, status atualizado, usuário responsável pelo cadastro, dados da Pessoa titular da conta. Tenha acesso aos detalhes de todas as transações, lançamentos, tarifas, lançamentos futuros e solicitações de transações

Parâmetros da URL

  • account_id (string): ID de cadastro para identificação da conta a ser consultada.

Resposta

Se a requisição for processada com sucesso será retornado um código 200 e um JSON no seguinte formato:

  • id (string): ID para identificação da conta escrow.

  • status (string): Status do conta. Possíveis valores: CREATING, ERROR_CREATING, PENDING_ACTIVATION, ACTIVE, BLOCKING, ERROR_BLOCKING, UNBLOCKING, ERROR_UNBLOCKING, BLOCKED, CANCELING, ERROR_CANCELING, CANCELED, WAITING_ANALYSIS, IN_ANALYSIS, WAITING_UPDATES.

  • account (string): Número da conta.

  • branch (string): Número da agência.

  • error (string): Retorno em caso de algum erro na geração da conta.

  • fees (object): Objeto contendo os dados das tarifas associadas a conta.

  • person (object): Objeto contendo os dados da Pessoa.

  • destinations (object): Objeto contendo os dados das contas bancárias cadastrads para transações.

Objeto 'Person'
  • person -> id (string): ID de cadastro da Pessoa.

  • person -> name (string): Nome da Pessoa

  • person -> taxpayerId (string): Número do CPF da Pessoa

  • person -> emailAddress (string): E-mail de contato.

  • person -> birthDate (string): Data de nascimento, caso o titular seja uma pessoa física.

  • person -> phone (object): Objeto contendo os dados do telefone para contato.

  • person -> personType (string): Tipo da Pessoa. Possíveis valores: LEGAL, NATURAL.

  • person -> address (object): Objeto contendo detalhes do endereço de cadastro.

  • person -> representatives (object): Objeto contendo os dados dos sócios, caso o titular da conta seja uma pessoa jurídica.

  • person -> creator (object): Objeto contendo os dados de quem fez o cadastro da conta.

  • person -> documents (object): Objeto contendo os dados dos documentos anexados na conta.

  • corporateName (string): Razão social da empresa, caso o titular da conta seja uma pessoa jurídica.

  • foundationDate (datetime): Data de abertura da empresa, caso o titular da conta seja uma pessoa jurídica.

  • cnae (string): Código do CNAE referente a atividade principal da empresa, caso o titular da conta seja uma pessoa jurídica.

Objeto 'address'
  • streetNumber (string): Número do endereço informado.

  • streetName (string): Nome da rua.

  • postalCode (string): Código de CEP para o endereço.

  • district (string): Campo para informar o bairro.

  • city (string): Nome da cidade.

  • stateCode (string): Código da UF para o estado do endereço.

  • countryCode (string): Código do país.

  • extraInfo (string): Complemento.

Objeto 'phone'
  • phone -> countryCode (string): Código DDI do país.

  • phone -> areaCode (string): Código DDD da área.

  • phone -> number (string): Número de telefone.

Objeto 'documents'
  • documents -> incorporationCertificateUrl (string): Endereço web (URL) do contrato social de constituição da empresa.

  • documents -> proofOfAddressUrl (string): Endereço web (URL) do documento de comprovante de residência.

  • documents -> bylawsUrl (string): Endereço web (URL) do estatuto societário da empresa.

  • documents -> powerOfAttorneyUrl (string): Endereço web (URL) de uma procuração.

  • documents -> incomeStatementUrl (string): Endereço web (URL) do comprovante de renda.

  • documents -> lastContractAmendmentUrl (string): Endereço web (URL) da última alteração contratual.

  • documents -> identificationUrl (string): Endereço web (URL) do comprovante de identidade.

Objeto 'creator'
  • creator -> id (string): ID de cadastro.

  • creator -> fullname (string): Nome completo.

  • creator -> taxpayerId (string): Número do CPF.

  • createdAt (datetime): Data da criação da conta.

Objeto 'representatives' (Se titular for do tipo uma pessoa jurídica, 'LEGAL')
  • role (string): Função ou cargo do representante. Valores aceitos: MANAGER

  • taxpayerId (string): Número do CPF do representante.

  • fullName (string): Nome completo.

  • motherName (string): Nome da mãe, conforme registro e documento de identidade.

  • emailAddress (string): E-mail principal de contato.

  • birthDate (datetime): Data de nascimento.

  • signContract (boolean): Flag para indicar se o representante possui poderes para assinar pela empresa.

  • representatives -> phone (object): Objeto contendo os dados do telefone para contato do representante.

  • representatives -> address (object): Objeto contendo detalhes do endereço de cadastro do representante.

  • representatives -> documents (object): Objeto contendo os dados dos documentos comprobatórios do sócio.

Objeto 'fees'
  • mode (string): Forma de cobrança das tarifas. Possíveis valores: DIRECT_DEBIT.

  • defaultPaymentType (string): Forma de pagamento para cobrança das tarifas. Possíveis valores: PIX, TED.

  • maintenance (object): Objeto com os dados tarifa de manutenção da conta.

  • maintenance -> day (integer): Dia do mês que será feita a cobrança.

  • maintenance -> amount (float): Valor a ser cobrado pela tarifa.

  • deposit -> amount (float): Valor da tarifa para depósitos.

  • withdrawal -> amount (float): Valor da tarifa para saques.

  • tedTransfer -> amount (float): Valor da tarifa para transferências por TED.

  • tedDeposit -> amount (float): Valor da tarifa para depósitos por TED.

Objeto 'destinations'
  • id (string): ID de cadastro da conta de destino.

  • taxpayerId (string): Número do CPF ou CNPJ do titular da conta.

  • name (string): Nome completo do titular da conta.

  • bank (string): Código de identificação do banco.

  • branch (string): Número da agência.

  • account (string): Número da conta bancária.

  • type (string): Tipo da conta a ser cadastrada.

Exemplo de JSON:
{
    "id": "<string>",
    "status": "ACTIVE",
    "personId": "<string>",
    "documents": {
        "openingAgreement": "<string>"
    },
    "person": {
        "taxpayerId": "<string>",
        "name": "<string>",
        "emailAddress": "<email>",
        "phone": {
            "countryCode": "+860",
            "areaCode": "<string>",
            "number": "<string>"
        },
        "address": {
            "streetName": "<string>",
            "streetNumber": "<string>",
            "postalCode": "20547430",
            "district": "<string>",
            "city": "<string>",
            "stateCode": "<string>",
            "countryCode": "<string>",
            "extraInfo": "<string>"
        },
        "personType": "LEGAL",
        "documents": {
            "incorporationCertificateUrl": "<string>",
            "proofOfAddressUrl": "<string>",
            "bylawsUrl": "<string>",
            "powerOfAttorneyUrl": "<string>",
            "incomeStatementUrl": "<string>",
            "lastContractAmendmentUrl": "<string>",
            "identificationUrl": "<string>"
        },
        "representatives": [
            {
                "role": "MANAGER",
                "taxpayerId": "<string>",
                "fullName": "<string>",
                "motherName": "<string>",
                "emailAddress": "<string>",
                "birthDate": "<string>",
                "phone": {
                    "countryCode": "+8",
                    "areaCode": "<string>",
                    "number": "<string>"
                },
                "address": {
                    "streetName": "<string>",
                    "streetNumber": "<string>",
                    "postalCode": "44019726",
                    "district": "<string>",
                    "city": "<string>",
                    "stateCode": "<string>",
                    "countryCode": "<string>",
                    "extraInfo": "<string>"
                },
                "documents": {
                    "identificationUrl": "<string>",
                    "proofOfAddressUrl": "<string>"
                },
                "signContract": "<boolean>",
                "representative": {
                    "taxpayerId": "<string>",
                    "fullName": "<string>",
                    "motherName": "<string>",
                    "emailAddress": "<string>",
                    "birthDate": "<string>",
                    "phone": {
                        "countryCode": "+1",
                        "areaCode": "<string>",
                        "number": "<string>"
                    },
                    "address": {
                        "streetName": "<string>",
                        "streetNumber": "<string>",
                        "postalCode": "73044278",
                        "district": "<string>",
                        "city": "<string>",
                        "stateCode": "<string>",
                        "countryCode": "<string>",
                        "extraInfo": "<string>"
                    },
                    "documents": {
                        "identificationUrl": "<string>",
                        "proofOfAddressUrl": "<string>"
                    },
                    "signContract": "<boolean>"
                }
            },
            {
                "role": "MANAGING_PARTNER",
                "taxpayerId": "<string>",
                "fullName": "<string>",
                "motherName": "<string>",
                "emailAddress": "<string>",
                "birthDate": "<string>",
                "phone": {
                    "countryCode": "+2",
                    "areaCode": "<string>",
                    "number": "<string>"
                },
                "address": {
                    "streetName": "<string>",
                    "streetNumber": "<string>",
                    "postalCode": "74113438",
                    "district": "<string>",
                    "city": "<string>",
                    "stateCode": "<string>",
                    "countryCode": "<string>",
                    "extraInfo": "<string>"
                },
                "documents": {
                    "identificationUrl": "<string>",
                    "proofOfAddressUrl": "<string>"
                },
                "signContract": "<boolean>",
                "representative": {
                    "taxpayerId": "<string>",
                    "fullName": "<string>",
                    "motherName": "<string>",
                    "emailAddress": "<string>",
                    "birthDate": "<string>",
                    "phone": {
                        "countryCode": "+1",
                        "areaCode": "<string>",
                        "number": "<string>"
                    },
                    "address": {
                        "streetName": "<string>",
                        "streetNumber": "<string>",
                        "postalCode": "49674137",
                        "district": "<string>",
                        "city": "<string>",
                        "stateCode": "<string>",
                        "countryCode": "<string>",
                        "extraInfo": "<string>"
                    },
                    "documents": {
                        "identificationUrl": "<string>",
                        "proofOfAddressUrl": "<string>"
                    },
                    "signContract": "<boolean>"
                }
            }
        ],
        "corporateName": "<string>",
        "foundationDate": "<string>",
        "birthDate": "<string>",
        "cnae": "<string>"
    },
    "parties": [
        {
            "id": "<string>",
            "person": {
                "id": "<uuid>",
                "businessType": "CONSULTANT",
                "name": "<string>",
                "taxpayerId": "<string>",
                "representatives": [
                    {
                        "taxpayerId": "<string>",
                        "fullName": "<string>",
                        "signContract": "<boolean>",
                        "representative": {
                            "taxpayerId": "<string>",
                            "fullName": "<string>",
                            "signContract": "<boolean>"
                        }
                    },
                    {
                        "taxpayerId": "<string>",
                        "fullName": "<string>",
                        "signContract": "<boolean>",
                        "representative": {
                            "taxpayerId": "<string>",
                            "fullName": "<string>",
                            "signContract": "<boolean>"
                        }
                    }
                ],
                "corporateName": "<string>"
            },
            "signContract": "<boolean>",
            "permissions": [
                "CREATE_CHARGE",
                "VIEW_ACCOUNT"
            ]
        },
        {
            "id": "<string>",
            "person": {
                "id": "<uuid>",
                "businessType": "CONSULTANT",
                "name": "<string>",
                "taxpayerId": "<string>",
                "representatives": [
                    {
                        "taxpayerId": "<string>",
                        "fullName": "<string>",
                        "signContract": "<boolean>",
                        "representative": {
                            "taxpayerId": "<string>",
                            "fullName": "<string>",
                            "signContract": "<boolean>"
                        }
                    },
                    {
                        "taxpayerId": "<string>",
                        "fullName": "<string>",
                        "signContract": "<boolean>",
                        "representative": {
                            "taxpayerId": "<string>",
                            "fullName": "<string>",
                            "signContract": "<boolean>"
                        }
                    }
                ],
                "corporateName": "<string>"
            },
            "signContract": "<boolean>",
            "permissions": [
                "POSTING_CREATE",
                "CANCEL_CHARGE"
            ]
        }
    ],
    "destinations": [
        {
            "id": "<string>",
            "taxpayerId": "<string>",
            "name": "<string>",
            "bank": "<string>",
            "branch": "<string>",
            "account": "<string>",
            "type": "<string>"
        },
        {
            "id": "<string>",
            "taxpayerId": "<string>",
            "name": "<string>",
            "bank": "<string>",
            "branch": "<string>",
            "account": "<string>",
            "type": "<string>"
        }
    ],
    "branch": "<string>",
    "account": "<string>",
    "error": "<string>",
    "fees": {
        "mode": "DIRECT_DEBIT",
        "defaultPaymentType": "PIX",
        "maintenance": {
            "day": "<integer>",
            "amount": "<number>"
        },
        "deposit": {
            "amount": "<number>"
        },
        "withdrawal": {
            "amount": "<number>"
        },
        "tedTransfer": {
            "amount": "<number>"
        },
        "tedDeposit": {
            "amount": "<number>"
        }
    }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Headers
string
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain